hpp-corbaserver: floatSeq_var Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
floatSeq_var Class Reference

`#include <hpp/common-idl.hh>`

## Public Member Functions
| floatSeq_var ()
| floatSeq_var (floatSeq *_s)
| floatSeq_var (const floatSeq_var &_s)
| ~floatSeq_var ()
floatSeq_var & | operator= (floatSeq *_s)
floatSeq_var & | operator= (const floatSeq_var &_s)
inline ::CORBA::Double & | operator[] (_CORBA_ULong _s)
floatSeq * | operator-> ()
const floatSeq * | operator-> () const
| operator const floatSeq & () const
| operator floatSeq & ()
const floatSeq & | in () const
floatSeq & | inout ()
floatSeq *& | out ()
floatSeq * | _retn ()

## Friends
class | floatSeq_out

## Constructor & Destructor Documentation

## ◆ floatSeq_var() [1/3]

floatSeq_var::floatSeq_var | ( |  | ) |
| inline

## ◆ floatSeq_var() [2/3]

floatSeq_var::floatSeq_var | ( | floatSeq * | _s | ) |
| inline

## ◆ floatSeq_var() [3/3]

floatSeq_var::floatSeq_var | ( | const floatSeq_var & | _s | ) |
| inline

## ◆ ~floatSeq_var()

floatSeq_var::~floatSeq_var | ( |  | ) |
| inline

## Member Function Documentation

## ◆ _retn()

floatSeq * floatSeq_var::_retn | ( |  | ) |
| inline

## ◆ in()

const floatSeq & floatSeq_var::in | ( |  | ) | const
| inline

## ◆ inout()

floatSeq & floatSeq_var::inout | ( |  | ) |
| inline

## ◆ operator const floatSeq &()

floatSeq_var::operator const floatSeq & | ( |  | ) | const
| inline

## ◆ operator floatSeq &()

floatSeq_var::operator floatSeq & | ( |  | ) |
| inline

## ◆ operator->() [1/2]

floatSeq * floatSeq_var::operator-> | ( |  | ) |
| inline

## ◆ operator->() [2/2]

const floatSeq * floatSeq_var::operator-> | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

floatSeq_var & floatSeq_var::operator= | ( | const floatSeq_var & | _s | ) |
| inline

## ◆ operator=() [2/2]

floatSeq_var & floatSeq_var::operator= | ( | floatSeq * | _s | ) |
| inline

## ◆ operator[]()

inline ::CORBA::Double & floatSeq_var::operator[] | ( | _CORBA_ULong | _s | ) |
| inline

## ◆ out()

floatSeq *& floatSeq_var::out | ( |  | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ floatSeq_out

friend class floatSeq_out
| friend

The documentation for this class was generated from the following file:

- src/hpp/common-idl.hh